.\"	$NetBSD: dab.6,v 1.3 2005/09/15 02:10:37 wiz Exp $
.\"
.\" Copyright (c) 2003 Thomas Klausner.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 24, 2003
.Dt DAB 6
.Os
.Sh NAME
.Nm dab
.Nd Dots and Boxes game
.Sh SYNOPSIS
.Nm
.Op Fl aw
.Op Fl n Ar ngames
.Op Fl p Ao Ar c|h Ac Ns Ao Ar c|h Ac
.Op Ar xdim Oo Ar ydim Oc
.Sh DESCRIPTION
.Nm
is a game where each player tries to complete the most
boxes.
A turn consists of putting one border of a box; the player
setting the fourth and final border of a box gets the
point for the box and has another turn.
.Pp
The keys used are the vi keys:
.Ic k
for up,
.Ic j
for down,
.Ic h
for left, and
.Ic l
for right.
To switch between even and odd rows, use one of the following
keys:
.Ic u
.Pq diagonal right up ,
.Ic y
.Pq diagonal left up ,
.Ic b
.Pq diagonal left down ,
.Ic n
.Pq diagonal right down ;
.Aq Ic space
sets a new border,
.Ic CTRL-L
and
.Ic CTRL-R
redraw the screen, and
.Ic q
quits the game.
.Pp
Support options are:
.Bl -tag -width XXnXngamesXXXXX
.It Fl a
Don't use the alternate character set.
.It Fl n Ar ngames
.Ar ngames
games will be played.
.Pq Especially useful in Fl p Ar cc No mode.
.It Fl p Ao Ar c|h Ac Ns Ao Ar c|h Ac
Select which of the two players is a human
or a computer.
The first argument is the first player;
.Ic c
stands for computer and
.Ic h
for human.
.It Fl w
Wait for a character press between games.
.El
.Pp
.Ar xdim
and
.Ar ydim
define the size of the board in the x and y
dimensions.
.Sh SEE ALSO
.Rs
.%A Elwyn R. Berlekamp
.%T The Dots and Boxes Game: Sophisticated Child's Play
.%D 2000
.%I A K Peters
.%O http://www.akpeters.com/book.asp?bID=111
.Re
.Sh AUTHORS
.An Christos Zoulas
.Aq christos@NetBSD.org
